Bug 950709 - Clean pstore at install time
Summary: Clean pstore at install time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: F19Alpha-accepted, F19AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-04-10 17:35 UTC by Jaroslav Reznik
Modified: 2013-04-30 04:39 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-30 04:39:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 947142 None None None Never

Internal Links: 947142

Description Jaroslav Reznik 2013-04-10 17:35:52 UTC
Description of problem: There's a general agreement (as discussed on #fedora-devel) that Anaconda should clean pstore install time as full pstore leads to many consequential issues (boot). UEFI NVRAM is a very limited resource.
  
Expected results:
pstore cleaned up at install time

Comment 1 Adam Williamson 2013-04-11 19:52:05 UTC
Discussed at 2013-04-11 F19 Alpha go/no-go meeting, acting as a blocker review meeting: http://meetbot.fedoraproject.org/fedora-meeting-1/2013-04-11/f19_alpha_gono-go_meeting.2013-04-11-17.00.log.html . It's hard to judge how many people will find it impossible to install because of this issue, but we don't think it'll be _too_ many, and there is a documentable workaround:

http://mjg59.dreamwidth.org/23554.html

so this is rejected as an Alpha blocker. It is accepted as a freeze exception issue, however, as it can prevent installation for some users, and we would very much like to see a fix for it if at all possible.

Comment 2 Fedora Update System 2013-04-12 00:49:08 UTC
anaconda-19.18-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.18-1.fc19

Comment 3 Fedora Update System 2013-04-12 15:16:52 UTC
Package anaconda-19.18-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.18-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5509/anaconda-19.18-1.fc19
then log in and leave karma (feedback).

Comment 4 Jaroslav Reznik 2013-04-15 09:02:38 UTC
From https://bugzilla.redhat.com/show_bug.cgi?id=947142#c27 it seems that also dump-type0* crash logs from /sys/firmware/efi/efivars should be deleted too.

Where dump-type* is "EFI variables of the form “dump-type- -- which contain crash information and more" according to http://blog.fpmurphy.com/2012/12/efivars-and-efivarfs.html

Comment 5 Matthew Garrett 2013-04-15 14:05:02 UTC
They're just the backing store for pstore. Deleting them from the pstore directory is sufficient.

Comment 6 Lingzhu Xiang 2013-04-17 12:58:20 UTC
Tested with RC4.

Pstore entries are not cleared after installation.

/sys/fs/pstore/ is empty before installation because CONFIG_EFI_VARS_PSTORE_DEFAULT_DISABLE=y. Anaconda has nothing to delete.

Either boot installer with efivars.pstore_disable=N and risk bricking Samsung devices or rm /sys/firmware/efi/efivars/dump-*. Can't do both otherwise kernel oops! ( https://bugzilla.redhat.com/show_bug.cgi?id=947142#c33 )

Comment 7 Adam Williamson 2013-04-19 17:41:57 UTC
anaconda 19.20 went stable. mjg59, is lingzhu's comment anything that needs fixing, or shall we close this?

Comment 8 Fedora Update System 2013-04-23 01:39:22 UTC
anaconda-19.21-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.21-1.fc19

Comment 9 Fedora Update System 2013-04-30 04:39:52 UTC
anaconda-19.21-1.fc19, python-meh-0.23-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.